'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var BaseIcon = function BaseIcon(_ref) {
    var children = _ref.children,
        title = _ref.title,
        description = _ref.description,
        rest = _objectWithoutProperties(_ref, ['children', 'title', 'description']);

    return _react2.default.createElement(
        'svg',
        _extends({
            xmlns: 'http://www.w3.org/2000/svg',
            viewBox: '0 0 48 48',
            'aria-label': title || description
        }, rest),
        title && _react2.default.createElement(
            'title',
            null,
            title
        ),
        description && _react2.default.createElement(
            'desc',
            null,
            description
        ),
        children
    );
};

BaseIcon.propTypes = {
    title: _propTypes2.default.string,
    description: _propTypes2.default.string,
    children: _propTypes2.default.node.isRequired
};

BaseIcon.defaultProps = {
    title: undefined,
    description: undefined
};

exports.default = BaseIcon;